package com.ruoyi.common.pay.syb.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 收银宝交易类型
 * @author wjh
 * 2024/9/10
 */
@Getter
@AllArgsConstructor
public enum SybTrxCode {

    WX_PAY("VSP501", "微信支付"),
    WX_REFUND("VSP503", "微信支付退款");

    private final String code;

    private final String msg;

    public boolean equalsCode(String code) {
        return this.getCode().equals(code);
    }

}
